/*
 *	Module made by Nukium
 *
 *  @author    Nukium
 *  @copyright 2020 Nukium SAS
 *  @license   All rights reserved
 *
 * ███    ██ ██    ██ ██   ██ ██ ██    ██ ███    ███
 * ████   ██ ██    ██ ██  ██  ██ ██    ██ ████  ████
 * ██ ██  ██ ██    ██ █████   ██ ██    ██ ██ ████ ██
 * ██  ██ ██ ██    ██ ██  ██  ██ ██    ██ ██  ██  ██
 * ██   ████  ██████  ██   ██ ██  ██████  ██      ██
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

var glsmap,infowindow,glsBounds,gls_carriers,carrier_extra_content,original_checked_relay;

$(document).ready(function() {

	init_gls_carrier_extra_content();

	$('body').on('change', 'input[name^="delivery_option"]', function(e) {

		if(gls_carriers.indexOf(parseInt($(this).val()).toString()) != -1) {

			if($('.carrier-extra-content-gls > .gls-container').length == 0) {

				init_gls_carrier_extra_content();
				init_gls_carrier_extra_content_end();

			}

			carrier_extra_content = display_gls_carrier_extra_content();
			if(typeof carrier_extra_content !== 'undefined') {
                $(carrier_extra_content).find('.gls-customer-mobile').trigger('keyup');
                $(carrier_extra_content).find('input[name^="gls_relay"]:checked').removeProp('checked').prop('checked', true).change();
			}
			check_gls_option();

		} else {
            $('div[id^="gls-carrier-extra-content-"]').hide();
            $('.hook_extracarrier').show();
		}

    });

    $('body').on('click', '.delivery_option_logo, .delivery_option_desc, .carrier_delay, .carrier_price', function() {
        $(this).siblings('.delivery_option_radio').find('input[name^="delivery_option"]').trigger('change');
    });

	$('body').on('keyup', '.gls-customer-mobile', function() {

        gls_check_carrier($(this));

		if(gls_validate_mobile()) {

			var checked_carrier = parseInt($('input[name^="delivery_option"]:checked').val());

			$.ajax({
				type: 'POST',
				url: gls_ajax_save_phone_mobile_url,
				cache: false,
		        dataType: 'json',
		        context: this,
		        data: {
		        	id_carrier: checked_carrier,
		        	gls_customer_mobile: $('#gls-customer-mobile-'+checked_carrier).val(),
		        	is_relay: (checked_carrier == glsrelais_carrier_id) ? 1 : 0
    			}
			}).done(function(data) {
				if(!data.result) {
					$('#gls-error-msg').find('.alert-content').text(data.message);
				}
			}).fail(function() {
				$('#gls-error-msg').find('.alert-content').text(gls_js_general_error);
			});
		}
    });

	init_gls_carrier_extra_content_end();

    if (google_maps_enable && typeof google !== 'undefined') {
        google.maps.event.addDomListener(window, "load", initGlsMap);
    } else {
        initGlsMap();
    }

});

function init_gls_carrier_extra_content() {

	gls_carriers = [];

	$('.hook_extracarrier > .gls-container').each(function() {
		var gls_carrier_id = $(this).attr('id').replace('gls-carrier-extra-content-', '');
		gls_carriers.push(gls_carrier_id);
		if($('input[value^="' + gls_carrier_id + ',"]').closest('table.resume').length > 0) {
			$(this).detach().appendTo($('input[value^="' + gls_carrier_id + ',"]').closest('table.resume').parent()).wrap('<div class="carrier-extra-content-gls row"></div>');
		} else if($('input[value^="' + gls_carrier_id + ',"]').siblings().find('table.resume')) {
			$(this).detach().appendTo($('input[value^="' + gls_carrier_id + ',"]').siblings().find('table.resume').parent()).wrap('<div class="carrier-extra-content-gls row"></div>');
		}
	});

    carrier_extra_content = display_gls_carrier_extra_content();
    original_checked_relay = $('input.gls-select-relay:checked');

    if(parseInt($('input[name^="delivery_option"]:checked').val()) != glsrelais_carrier_id && $(original_checked_relay).length > 0) {
        $(original_checked_relay).prop('checked', false);
    }
}

function init_gls_carrier_extra_content_end() {

	$('.carrier-extra-content-gls').on('change', 'input.gls-select-relay', function(e) {

        e.preventDefault();

        gls_check_carrier($(this));

    	//__ TODO: gestion d'erreur
		checked_carrier = parseInt($('input[name^="delivery_option"]:checked').val());

		$.ajax({
			type: 'POST',
			url: gls_ajax_select_relay_point_url,
			cache: false,
	        dataType: 'json',
	        context: this,
	        data: {
        		glsrelayid: $(this).attr('data-glsrelayid'),
	        	gls_customer_mobile: $('#gls-customer-mobile-'+checked_carrier).val()
	        }
		}).done(function(data) {
			if(!data.result) {
				$(this).prop('checked', false);
				if($(original_checked_relay).length > 0) {
					$(original_checked_relay).prop('checked', true);
				}
				gls_display_error(data.message);
			} else {
				original_checked_relay = $('input.gls-select-relay:checked');
			}
		}).fail(function() {
			$(this).prop('checked', false);
			if($(original_checked_relay).length > 0) {
				$(original_checked_relay).prop('checked', true);
			}
			gls_display_error(gls_js_general_error);
			return false;
		});
		return false;

	});

	$('.carrier-extra-content-gls').on('click', '.gls-search-relay', function(e) {

		e.preventDefault();
		$('#gls-error-msg').hide();

		if($('#gls-search').val()) {
			$.ajax({
				type: 'POST',
				url: gls_ajax_search_relay_url,
				cache: false,
		        dataType: 'json',
		        context: this,
		        data: {search: $('#gls-search').val()}
			}).done(function(data) {
				if(!data.result) {
					gls_display_error(data.message);
				} else {
					$('.gls-relay-list').html(data.point_relay_tpl).show();
					$('.gls-relay-map').show();
					initGlsMap();
					$('.gls-container > .alert').hide();
				}
			}).fail(function() {
				gls_display_error(gls_js_general_error);
				return false;
			});
		} else {
			gls_display_error(gls_js_search_error);
		}
		return false;

	});

	$('.carrier-extra-content-gls').on('keypress', '#gls-search', function(e) {
		if(e.which == 13) {
			e.preventDefault();
	        $('.gls-search-relay').trigger('click');
	    }
	});

	$('.carrier-extra-content-gls').on('search', '#gls-search', function(e) {
		e.preventDefault();
        $('.gls-search-relay').trigger('click');
	});

	$('button[name="processCarrier"], .order-opc #HOOK_PAYMENT a, .order-opc #HOOK_PAYMENT button, .order-opc #HOOK_PAYMENT input[type="submit"]').each(function() {

		if($(this).length > 0) {
			var btn = $(this);
			var clickHandler = btn[0].onclick;
			btn[0].onclick = false;

			$(this).on('click', function(e) {
				if(!check_gls_option()) {
					$('#gls-error-msg').fadeIn();
					if($('body').hasClass('order-opc') || $('body#order-opc').length > 0) {
						$('html, body').animate({ scrollTop: $('#carrier_area').offset().top });
					} else {
						$('html, body').animate({ scrollTop: $('#form').offset().top });
					}
					e.preventDefault();
					e.stopPropagation();
					return false;
				} else {
					if(clickHandler != null) {
						clickHandler.call(this, e);
					}
				}
			});
		}
	});

	if(typeof carrier_extra_content !== 'undefined') {
		$(carrier_extra_content).find('.gls-customer-mobile').trigger('keyup');
        $(carrier_extra_content).find('input[name^="gls_relay"]:checked').removeProp('checked').prop('checked', true).change();
    }

	initGlsMap();
}

function display_gls_carrier_extra_content() {

	//__ TODO: gestion d'erreur
	checked_carrier = parseInt($('input[name^="delivery_option"]:checked').val());

    $('div[id^="gls-carrier-extra-content-"]:not(#gls-carrier-extra-content-' + checked_carrier + ')').stop(true, true).hide();

    // Hide only if gls carrier checked
    if(gls_carriers.indexOf(checked_carrier.toString()) != -1) {
	    $('.hook_extracarrier').hide();
    }

	if($('#gls-carrier-extra-content-' + checked_carrier).length > 0) {
		$('#gls-carrier-extra-content-' + checked_carrier).stop(true, true).slideDown(function() {
			if(typeof(glsmap) != 'undefined') {
                if(google_maps_enable) {
                    google.maps.event.trigger(glsmap, 'resize');
                    glsmap.fitBounds(glsBounds);
                } else {
                    setTimeout(function() {
                        glsmap.invalidateSize();
                        glsmap.fitBounds(new L.LatLngBounds(glsBounds));
                    }, 500);
                }
			}
		});
		return $('#gls-carrier-extra-content-' + checked_carrier);
	}

}

function check_gls_option() {

    var checked_carrier = parseInt($('input[name^="delivery_option"]:checked').val());
    // if(typeof checked_carrier === "undefined") {
    //     $('input[name^="delivery_option"]').each(function() {
    //         if($(this).parent().hasClass('checked')) {
    //             checked_carrier = parseInt($(this).val());
    //             return false;
    //         }
    //     });
    // }
	var no_error = true;

	$('#gls-error-msg').hide();

	check_mobile = false;
	if(checked_carrier == glsrelais_carrier_id || checked_carrier == gls13h_carrier_id || checked_carrier == glschezvousplus_carrier_id) {
		check_mobile = true;
	}

	if(check_mobile) {
		no_error &= gls_validate_mobile();
	}

	if(checked_carrier == glsrelais_carrier_id) {

		$carrier_selected = false;
		$('.gls-select-relay').each(function() {
			if($(this).is(':checked')) {
				$carrier_selected = true;
			}
		});
		if(!$carrier_selected) {
			$('#gls-error-msg').find('.alert-content').text(gls_js_relay_error);
		}
		no_error &= $carrier_selected;

	}

	return no_error;
}

function gls_validate_mobile() {

	var checked_carrier = parseInt($('input[name^="delivery_option"]:checked').val());
	$('#gls-error-msg').hide();

	if($('#gls-customer-mobile-'+checked_carrier).val() && gls_mobile_number_checker($('#gls-customer-mobile-'+checked_carrier).val())) {

		$('#gls-customer-mobile-'+checked_carrier).closest('div.form-group').removeClass('form-error');
		$('#gls-customer-mobile-'+checked_carrier).closest('div.form-group').addClass('form-ok');
		return true;

	} else {

		$('#gls-customer-mobile-'+checked_carrier).closest('div.form-group').removeClass('form-ok');
		$('#gls-customer-mobile-'+checked_carrier).closest('div.form-group').addClass('form-error');

		$('#gls-error-msg').find('.alert-content').text(gls_js_mobile_error);
		return false;
	}

}

function gls_mobile_number_checker(phone_mobile) {

	var regex = new RegExp(/^(\+[\d]|0)([\d _.-]{6,})$/);

	if(typeof country_iso !== 'undefined') {
		if(country_iso === 'FR') {
			regex = new RegExp(/^(\+33|0)([\d _.-]{9,})$/);
		}
	}

	var numbers = phone_mobile.substr(-8);
	var pattern = ['00000000','11111111','22222222','33333333','44444444','55555555','66666666','77777777','88888888','99999999','12345678','23456789','98765432'];

	if (regex.test(phone_mobile) && jQuery.inArray(numbers, pattern) == -1) {
		// GSM OK : fonction suivante
		return true;
	} else {
		return false;
	}

}

function initGlsMap() {

	if(document.getElementById('gls-map')) {

        if(google_maps_enable && typeof google !== 'undefined') {

            glsmap = new google.maps.Map(document.getElementById('gls-map'), {
                zoom: 12,
                maxZoom: 18,
                mapTypeId: google.maps.MapTypeId.ROADMAP,
                fullscreenControl: false
            });

            infowindow = new google.maps.InfoWindow({ });

            glsBounds = new google.maps.LatLngBounds();

            //__ Si des marqueurs google maps existent, on les ajoute sur la carte
            if(typeof glsGmapsMarkers !== 'undefined') {
                if(glsGmapsMarkers.length > 0) {
                    glsGmapsMarkers.forEach(function(item, index) {
                        addGlsMapMarker(new google.maps.LatLng(item['lat'], item['lng']), item['name'], item['id'], item['infos']);
                    });
                }
            }

            glsmap.fitBounds(glsBounds);

        } else {

            if(typeof glsmap !== 'undefined') {
                glsmap.remove();
            }
            glsmap = L.map('gls-map', {
                zoom: 12,
                scrollWheelZoom: false
            });
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
                attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'
            }).addTo(glsmap);

            glsBounds = [];

            //__ Si des marqueurs existent, on les ajoute sur la carte
            if(typeof glsGmapsMarkers !== 'undefined') {
                if(glsGmapsMarkers.length > 0) {
                    glsGmapsMarkers.forEach(function(item, index) {
                        addGlsMapMarker([item['lat'], item['lng']], item['name'], item['id'], item['infos']);
                    });
                }
            }

            setTimeout(function() {
                glsmap.invalidateSize();
                glsmap.fitBounds(new L.LatLngBounds(glsBounds));
            }, 500);

        }

	}

}

function addGlsMapMarker(lat_lng, name, id, infos) {

    if (google_maps_enable) {

        var marker = new google.maps.Marker({
            position: lat_lng,
            label: id,
            map: glsmap
        });

        glsBounds.extend(marker.position);

        google.maps.event.addListener(marker, 'click', (function (marker, name, infos) {

            return function () {
                infowindow.setContent('<div id="content" style="padding-right:17px;">'+
                    '<div id="firstHeading" class="h6">' + name + '</div>'+
                    '<div id="bodyContent" style="width:180px">' + infos + '</div>'+
                '</div>');
                infowindow.open(glsmap, marker);
            }

        })(marker, name, infos));

    } else {

        var marker = L.marker(lat_lng, {
            title: id,
            alt: name,
            icon: L.divIcon({
                className: 'nkmgls-osmap-marker-icon',
                html: '<div class="gls-marker-wrapper" data-marker-id="' + id + '"><img class="gls-marker-img" src="' + gls_marker_path + 'gls-marker.png" alt="' + id + '"></div>',
                iconSize:[54,40],
                iconAnchor:[27,40],
                popupAnchor:[0,-36]
            })
        }).addTo(glsmap);
        marker.bindPopup('<div id="content" style="padding-right:17px;">'+
            '<div id="firstHeading" class="h6">' + name + '</div>'+
            '<div id="bodyContent" style="width:180px">' + infos + '</div>'+
        '</div>');

        glsBounds.push(lat_lng);

    }
}

function gls_display_error(error) {

	$('#gls-error-msg').find('.alert-content').text(error);
	$('#gls-error-msg').fadeIn();
	if($('body').hasClass('order-opc') || $('body#order-opc').length > 0) {
		$('html, body').animate({ scrollTop: $('#carrier_area').offset().top });
	} else {
		$('html, body').animate({ scrollTop: $('#form').offset().top });
	}

}

function gls_check_carrier(element) {

    var gls_carrier_id = $(element).closest('.gls-container').attr('id').replace('gls-carrier-extra-content-', '');
    if(!$('input[value^="' + gls_carrier_id + ',"]').is(':checked')) {
        $('input[value^="' + gls_carrier_id + ',"]').prop('checked', true);
    }

}