{*
*  Module made by Nukium
*
*  @author    Nukium
*  @copyright 2020 Nukium SAS
*  @license   All rights reserved
*
* ███    ██ ██    ██ ██   ██ ██ ██    ██ ███    ███
* ████   ██ ██    ██ ██  ██  ██ ██    ██ ████  ████
* ██ ██  ██ ██    ██ █████   ██ ██    ██ ██ ████ ██
* ██  ██ ██ ██    ██ ██  ██  ██ ██    ██ ██  ██  ██
* ██   ████  ██████  ██   ██ ██  ██████  ██      ██
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*}

{if $address_delivery && $address_delivery_formatted}

	<div class="row addresses gls-order-detail">
		<div class="col-xs-12">
			<div id="delivery-address-relay" class="well">
            	<h4 style="margin-top: 0;">{l s='Point Relais® delivery address' mod='nkmgls'}</h4>
            	<p>{l s='Point Relais® ID:' mod='nkmgls'} {$parcel_shop_id|escape:'htmlall':'UTF-8'}</p>
            	<div>{$address_delivery_formatted nofilter}</div>
			</div>
            <button type="button" class="btn btn-primary glsChangeRelayModal" data-toggle="modal" data-target="#glsChangeRelayModal">
                {l s='Change Point Relais® delivery address' mod='nkmgls'}
            </button>
		</div>
	</div>

    <div class="modal fade" id="glsChangeRelayModal" tabindex="-1" role="dialog" aria-labelledby="glsChangeRelayModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-xs-12 gls-container">
                        {if !$error || (isset($error.code) && $error.code == 998 || $error.code == 999)}
                            {if $is_relay_carrier}
                                <div class="row">
                                    <div class="col-xs-12">
                                        <div class="gls-heading bg-primary text-white">
                                            {l s='The following GLS Points Relais® are available around your address' mod='nkmgls'}
                                        </div>
                                    </div>
                                    <div class="col-xs-12">
                                        <div class="gls-search bg-faded">
                                            <a href="#gls-search-form" class="gls-search-form-toggler d-block" data-toggle="collapse">{l s='Find GLS Points Relais® around another address' mod='nkmgls'}</a>
                                            <div id="gls-search-form" class="collapse">
                                                <div class="form-group input-group mb-0">
                                                    <input type="search" name="gls_search" id="gls-search" class="form-control" placeholder="{l s='Postcode (required) City (optional)' mod='nkmgls'}" />
                                                    <span class="input-group-btn">
                    			                    	<button type="button" class="button btn btn-primary gls-search-relay button-small">
                    			                    		<span><i class="icon icon-search fa fa-search fa-fw right"></i> <span class="btn-text">{l s='Search' mod='nkmgls'}</span></span>
                                                        </button>
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-lg-5 gls-relay-list"{if !$relay_points} style="display: none;"{/if}>
                                        {if $relay_points}
                                            <form action="" method="post">
                                                {assign var="labels" value="ABCDEFGHIJKLMNOPQRSTUVWXYZ"}
                                                {foreach from=$relay_points key=k item=v }
                                                    {if $k < 10  && (!$only_xl || ($only_xl && $v->Parcelshop->Address->Name1|substr:-2 == 'XL') )}
                                                        <div class="row {if $k > 10}hidden relay-disable{else}show relay-enable{/if}">
                                                            <div class="col-xs-12">
                                                                <div class="panel gls-relay-infos">
                                                                    <div class="panel-body">
                                                                        <div class="row">
                                                                            <div class="col-xs-2 col-sm-2 col-lg-2 col-select-relay">
                                                                                <span class="custom-radio">
                                                                                    <input type="radio" name="gls_relay" id="gls-relay-{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}" class="gls-select-relay" data-glsrelayid="{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}" value="{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}"{if $parcel_shop_id == $v->Parcelshop->ParcelShopId} checked{/if} />
                                                                                    <span></span>
                                                                                </span>
                                                                            </div>
                                                                            <label class="col-xs-10 col-sm-7 col-lg-8" for="gls-relay-{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}">
                                                                                <div class="panel-title">
                                                                                    <span class="gls-relay-name"><strong>{$v->Parcelshop->Address->Name1|escape:'htmlall':'UTF-8'}</strong></span><span class="separator"> - </span><span class="gls-relay-label">{$labels.$k|escape:'htmlall':'UTF-8'}</span>
                                                                                </div>
                                                                                <div class="panel-text">
                                                                                    <div class="gls-relay-address">
                        							                                    {$v->Parcelshop->Address->Street1|escape:'htmlall':'UTF-8'}
                                                                                        <br/>
                        							                                    {$v->Parcelshop->Address->ZipCode|cat:' '|cat:$v->Parcelshop->Address->City|escape:'htmlall':'UTF-8'}
                                                                                    </div>
                                                                                </div>
                                                                            </label>
                                                                            <div class="col-xs-10 col-xs-offset-2 col-sm-3 col-sm-offset-0 col-lg-2">
                                                                                <div class="gls-relay-distance text-muted">
                        					                                    	{$v->AirLineDistance|string_format:"%.2f"|escape:'htmlall':'UTF-8'} km
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    {/if}
                                                {/foreach}
                                            </form>
                                            <script type="text/javascript">
                                                var glsGmapsMarkers = [];
                                                {foreach from=$relay_points key=k item=v}
                                                    {if $k < 10  && (!$only_xl || ($only_xl && $v->Parcelshop->Address->Name1|substr:-2 == 'XL') )}
                                                        {capture name=opening_hours assign=opening_hours}
                                                        {strip}
                                                            {if isset($v->Parcelshop->GLSWorkingDay) && $v->Parcelshop->GLSWorkingDay|is_array && $v->Parcelshop->GLSWorkingDay|@count > 0}
                                                                <table class="gls-relay-info-open-hours">
                                                                    <tbody>
                                                                        {foreach from=$trans_days key=day item=dname}
                                                                            <tr{if $smarty.now|date_format:"%u" - 1 == $day} class="today"{/if}>
                                                                                {if isset($v->Parcelshop->GLSWorkingDay[$day])}
                                                                                    {assign var=dvalue value=$v->Parcelshop->GLSWorkingDay[$day]}
                                                                                    <th>{l s=$dname mod='nkmgls'}</th>
                                                                                    <td>{$dvalue->OpeningHours->Hours->From|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->From|substr:2:2|escape:'htmlall':'UTF-8'}{literal} - {/literal}
                                                                                        {if $dvalue->Breaks->Hours->From != ''}
                                                                                            {$dvalue->Breaks->Hours->From|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->Breaks->Hours->From|substr:2:2|escape:'htmlall':'UTF-8'}<br/>{$dvalue->Breaks->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->Breaks->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'} - {$dvalue->OpeningHours->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'}
                                                                                        {else}
                                                                                            {$dvalue->OpeningHours->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'}
                                                                                        {/if}
                                                                                    </td>
                                                                                {else}
                                                                                    <th>{l s=$dname mod='nkmgls'}</th>
                                                                                    <td>{l s='Closed' mod='nkmgls'}</td>
                                                                                {/if}
                                                                            </tr>
                                                                        {/foreach}
                                                                    </tbody>
                                                                </table>
                                                            {/if}
                                                        {/strip}
                                                        {/capture}
                                                        glsGmapsMarkers.push({ldelim}"lat" : {$v->Parcelshop->GLSCoordinates->Latitude|escape:'javascript':'UTF-8'}, "lng" : {$v->Parcelshop->GLSCoordinates->Longitude|escape:'javascript':'UTF-8'}, "name" : "{$v->Parcelshop->Address->Name1|escape:'javascript'}", "id" : "{$labels.$k|escape:'javascript':'UTF-8'}", "infos" : "{$opening_hours|escape:'javascript' nofilter}"{rdelim});
                                                    {/if}
                                                {/foreach}
                                            </script>
                                        {/if}
                                    </div>
                                    <div class="col-xs-12 col-lg-7 gls-relay-map"{if !$relay_points} style="display: none;"{/if}>
                                        <div id="gls-map"></div>
                                    </div>
                                </div>
                            {/if}
                        {/if}
                        {if $error}
                            <div class="alert alert-danger" role="alert">
                                <span data-title="{if $error.code}{l s='Code: %s' mod='nkmgls' sprintf=[$error.code]}{/if}" class="alert-text">{$error.message|escape:'htmlall':'UTF-8'}</span>
                            </div>
                        {/if}
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <input type="hidden" name="modal_gls_id_order" id="modal_gls_id_order" value="{$id_order|escape:'htmlall':'UTF-8'}">
                    <button type="button" class="btn btn-tertiary-outline btn-lg" data-dismiss="modal">{l s='Cancel' mod='nkmgls'}</button>
                    <button type="button" class="btn btn-primary btn-lg" id="saveGlsChangeRelay">{l s='Save changes' mod='nkmgls'}</button>
                    <button class="btn btn-primary-reverse onclick btn-lg unbind GlsChangeRelayModalLoader" style="display: none;"></button>
                    <div class="alert alert-danger" role="alert" id="gls-error-modal" style="display: none;"></div>
                </div>
            </div>
        </div>
    </div>

{/if}