{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2020 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{assign var=color_header value="#F0F0F0"}
{assign var=color_border value="#000000"}
{assign var=color_border_lighter value="#CCCCCC"}
{* {assign var=color_line_even value="#FFFFFF"}
{assign var=color_line_odd value="#F9F9F9"} *}
{assign var=font_size_text value="9pt"}
{assign var=font_size_bold value="10pt"}
{assign var=color_bold value="#1E2456"}
{assign var=font_size_h1 value="14pt"}
{assign var=font_size_header value="9pt"}
{assign var=font_size_product value="9pt"}
{assign var=height_header value="20px"}

<style>
    .h1 {
		vertical-align: middle;
		text-align: center;
		font-weight: bold;
        font-size: {$font_size_h1|escape:'htmlall':'UTF-8'};
        color: {$color_bold|escape:'htmlall':'UTF-8'};
    }

	table, th, td {
		{* margin: 0!important; *}
		{* padding: 0!important; *}
		vertical-align: middle;
		font-size: {$font_size_text|escape:'htmlall':'UTF-8'};
		white-space: nowrap;
	}

	th.product {
		border-bottom: 1px solid {$color_border|escape:'htmlall':'UTF-8'};
	}

	tr.product td {
		border-bottom: 1px solid {$color_border_lighter|escape:'htmlall':'UTF-8'};
	}

	td.product {
		vertical-align: middle;
		font-size: {$font_size_product|escape:'htmlall':'UTF-8'};
	}

	th.header {
		font-size: {$font_size_header|escape:'htmlall':'UTF-8'};
		height: {$height_header|escape:'htmlall':'UTF-8'};
		background-color: {$color_header|escape:'htmlall':'UTF-8'};
		vertical-align: middle;
		text-align: center;
		font-weight: bold;
        color: {$color_bold|escape:'htmlall':'UTF-8'};
	}

	th.header-right {
		font-size: {$font_size_header|escape:'htmlall':'UTF-8'};
		height: {$height_header|escape:'htmlall':'UTF-8'};
		background-color: {$color_header|escape:'htmlall':'UTF-8'};
		vertical-align: middle;
		text-align: right;
		font-weight: bold;
        color: {$color_bold|escape:'htmlall':'UTF-8'};
	}

	td.signature {
		border-bottom: 1px solid {$color_border|escape:'htmlall':'UTF-8'};
	}

	.left {
		text-align: left;
	}

	.right {
		text-align: right;
	}

	.center {
		text-align: center;
	}

	.bold {
		color: {$color_bold|escape:'htmlall':'UTF-8'};
        font-size: {$font_size_bold|escape:'htmlall':'UTF-8'};
        font-weight: bold;
	}

	.border {
		border: 1px solid black;
	}

	.small {
		font-size:small;
	}

    .big,
	tr.big td{
		font-size: 110%;
	}
</style>
