{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2020 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{$style_tab nofilter}

<table width="100%" id="body" border="0" cellpadding="0" cellspacing="0" style="margin:0;">
	<tr>
		<td colspan="12">
            <table class="product" width="100%" cellpadding="4" cellspacing="0">
                <thead>
                    <tr>
                        <th class="product header small" width="8%">{l s='Shipping No.' mod='nkmgls'}</th>
                        <th class="product header small" width="14%">{l s='Product/Service' mod='nkmgls'}</th>
                        <th class="product header small" width="9%">{l s='Order' mod='nkmgls'}</th>
                        <th class="product header small" width="8%">{l s='Order date' mod='nkmgls'}</th>
                        <th class="product header small" width="15%">{l s='Recipient name' mod='nkmgls'}</th>
                        <th class="product header small" width="17%">{l s='Address' mod='nkmgls'}</th>
                        <th class="product header small" width="7%">{l s='Postcode' mod='nkmgls'}</th>
                        <th class="product header small" width="10%">{l s='City' mod='nkmgls'}</th>
                        <th class="product header small" width="6%">{l s='Country' mod='nkmgls'}</th>
                        <th class="product header-right small" width="6%">{l s='Weight (kg)' mod='nkmgls'}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach $packages as $package}
		                <tr class="product">
                            <td class="center">{$package.shipping_number|escape:'htmlall':'UTF-8'}</td>
                            {if is_array($product_code) && isset($product_code[$package.gls_product])}
                                <td>{$product_code[$package.gls_product]|escape:'htmlall':'UTF-8'}</td>
                            {else}
                                <td>{$package.gls_product|escape:'htmlall':'UTF-8'}</td>
                            {/if}
                            <td class="center">{if $gls_order_reference_enable}{$package.order_reference|escape:'htmlall':'UTF-8'}{else}{$package.id_order|escape:'htmlall':'UTF-8'}{/if}</td>
                            <td class="center">{dateFormat date=$package.order_date full=0}</td>
                            <td>{$package.customer|escape:'htmlall':'UTF-8'}</td>
                            <td>{$package.address1|escape:'htmlall':'UTF-8'}
                                {if !empty($package.address2)}
                                    <br>{$package.address2|escape:'htmlall':'UTF-8'}
                                {/if}
                            </td>
                            <td>{$package.postcode|escape:'htmlall':'UTF-8'}</td>
                            <td>{$package.city|escape:'htmlall':'UTF-8'}</td>
                            <td>{$package.iso_code|escape:'htmlall':'UTF-8'}</td>
                            <td class="right">{$package.weight|floatval}</td>
                        </tr>
                    {/foreach}
                </tbody>
            </table>
        </td>
    </tr>

    <tr>
		<td colspan="12" height="30">&nbsp;</td>
	</tr>

    <tr>
		<td colspan="12">
            <table>
                <tr class="big">
                    <td style="width: 35%" class="border">
                        <b>{l s='Customer signature' mod='nkmgls'}</b>
                        <br><br><br><br><br>
                    </td>
                    <td style="width: 30%"></td>
                    <td style="width: 35%" class="border">
                        <b>{l s='Carrier signature' mod='nkmgls'}</b>
                        <br><br><br><br><br>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
