{*
*  Module made by Nukium
*
*  @author    Nukium
*  @copyright 2020 Nukium SAS
*  @license   All rights reserved
*
* ███    ██ ██    ██ ██   ██ ██ ██    ██ ███    ███
* ████   ██ ██    ██ ██  ██  ██ ██    ██ ████  ████
* ██ ██  ██ ██    ██ █████   ██ ██    ██ ██ ████ ██
* ██  ██ ██ ██    ██ ██  ██  ██ ██    ██ ██  ██  ██
* ██   ████  ██████  ██   ██ ██  ██████  ██      ██
*
* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
* IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
* FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
* AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
* LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
* THE SOFTWARE.
*}

<div class="col-xs-12 gls-container" id="gls-carrier-extra-content-{$id_carrier|escape:'quotes':'UTF-8'}" style="display: none;">
	{if !$error || (isset($error.code) && $error.code == 998 || $error.code == 999)}
		{if $force_gsm}
	    	<div class="form-group gls-mobile">
	        	<label for="gls-customer-mobile-{$id_carrier|escape:'quotes':'UTF-8'}" class="form-control-label">{$customer_mobile_title|escape:'htmlall':'UTF-8'} {$name_carrier|escape:'htmlall':'UTF-8'}</label>
	        	<input type="tel" id="gls-customer-mobile-{$id_carrier|escape:'quotes':'UTF-8'}" name="gls_customer_mobile_{$id_carrier|escape:'quotes':'UTF-8'}" class="is_required form-control gls-customer-mobile" value="{$current_customer_mobile|escape:'quotes':'UTF-8'}" />
			</div>
		{/if}
		{if $is_relay_carrier}
	        <div class="row">
	        	<div class="col-xs-12">
	        		<div class="gls-heading page-subheading">
	        			{l s='The following GLS Points Relais® are available around your address' mod='nkmgls'}
	        		</div>
	        	</div>
				<div class="col-xs-12">
					<div class="gls-search">
						<a href="#gls-search-form" class="gls-search-form-toggler btn btn-link" data-toggle="collapse">{l s='Find GLS Points Relais® around another address' mod='nkmgls'}</a>
						<div id="gls-search-form" class="collapse">
			            	<div class="form-group input-group mb-0">
			                	<input type="search" name="gls_search" id="gls-search" class="form-control" placeholder="{l s='Postcode (required) City (optional)' mod='nkmgls'}" />
			                    <div class="input-group-btn input-group-append">
			                    	<button type="button" class="button btn btn-default gls-search-relay button-small">
			                    		<span><span class="btn-text">{l s='Search' mod='nkmgls'}</span><i class="icon icon-search fa fa-search fa-fw right"></i></span>
									</button>
			                    </div>
							</div>
						</div>
					</div>
	            </div>
	            <div class="col-xs-12 col-lg-5 gls-relay-list"{if !$relay_points} style="display: none;"{/if}>
	            	{if $relay_points}
	                    {assign var="labels" value="ABCDEFGHIJKLMNOPQRSTUVWXYZ"}
	                    {foreach from=$relay_points key=k item=v }
	                        {if $k < 10  && (!$only_xl || ($only_xl && $v->Parcelshop->Address->Name1|substr:-2 == 'XL') )}
	                            <div class="row {if $k > 10}hidden relay-disable{else}show relay-enable{/if}">
	                                <div class="col-xs-12">
	                                	<div class="panel gls-relay-infos">
	                                		<div class="panel-body">
			                                	<div class="row">
			                                		<div class="col-xs-2 col-sm-2 col-lg-2 col-select-relay">
			  											<span class="custom-radio">
			  												<input type="radio" name="gls_relay" id="gls-relay-{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}" class="gls-select-relay" data-glsrelayid="{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}" value="{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}"{if $current_relay == $v->Parcelshop->ParcelShopId} checked{/if} />
															<span></span>
			  											</span>
													</div>
													<label class="col-xs-10 col-sm-7 col-lg-8" for="gls-relay-{$v->Parcelshop->ParcelShopId|escape:'quotes':'UTF-8'}">
					                                	<div class="panel-title">
					                                		<span class="gls-relay-name"><strong>{$v->Parcelshop->Address->Name1|escape:'htmlall':'UTF-8'}</strong></span><span class="separator"> - </span><span class="gls-relay-label">{$labels.$k|escape:'htmlall':'UTF-8'}</span>
					                                	</div>
					                                    <div class="panel-text">
					                                    	<div class="gls-relay-address">
							                                    {$v->Parcelshop->Address->Street1|escape:'htmlall':'UTF-8'}
							                                    <br/>
							                                    {$v->Parcelshop->Address->ZipCode|cat:' '|cat:$v->Parcelshop->Address->City|escape:'htmlall':'UTF-8'}
						                                    </div>
														</div>
													</label>
													<div class="col-xs-10 col-xs-offset-2 col-sm-3 col-sm-offset-0 col-lg-2">
														<div class="gls-relay-distance text-muted">
					                                    	{$v->AirLineDistance|string_format:"%.2f"|escape:'htmlall':'UTF-8'} km
					                                    </div>
					                                </div>
												</div>
											</div>
										</div>
	                                </div>
	                            </div>
	                        {/if}
	                    {/foreach}
	                    <script type="text/javascript">
	                		var glsGmapsMarkers = [];
	                		{foreach from=$relay_points key=k item=v}
		                    	{if $k < 10  && (!$only_xl || ($only_xl && $v->Parcelshop->Address->Name1|substr:-2 == 'XL') )}
		                    		{capture name=opening_hours assign=opening_hours}
		                    		{strip}
		                    			{if isset($v->Parcelshop->GLSWorkingDay) && $v->Parcelshop->GLSWorkingDay|is_array && $v->Parcelshop->GLSWorkingDay|@count > 0}
			                    			<table class="gls-relay-info-open-hours">
			                    				<tbody>
			                    					{foreach from=$trans_days key=day item=dname}
			                    						<tr{if $smarty.now|date_format:"%u" - 1 == $day} class="today"{/if}>
				                    						{if isset($v->Parcelshop->GLSWorkingDay[$day])}
				                    							{assign var=dvalue value=$v->Parcelshop->GLSWorkingDay[$day]}
				                    							<th>{l s=$dname mod='nkmgls'}</th>
																<td>{$dvalue->OpeningHours->Hours->From|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->From|substr:2:2|escape:'htmlall':'UTF-8'}{literal} - {/literal}
																	{if $dvalue->Breaks->Hours->From != ''}
																		{$dvalue->Breaks->Hours->From|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->Breaks->Hours->From|substr:2:2|escape:'htmlall':'UTF-8'}<br/>{$dvalue->Breaks->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->Breaks->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'} - {$dvalue->OpeningHours->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'}
																	{else}
																		{$dvalue->OpeningHours->Hours->To|substr:0:2|escape:'htmlall':'UTF-8'}:{$dvalue->OpeningHours->Hours->To|substr:2:2|escape:'htmlall':'UTF-8'}
																	{/if}
																</td>
				                    						{else}
				                    							<th>{l s=$dname mod='nkmgls'}</th>
																<td>{l s='Closed' mod='nkmgls'}</td>
				                    						{/if}
				                    					</tr>
													{/foreach}
												</tbody>
											</table>
										{/if}
		                    		{/strip}
		                    		{/capture}
			                        glsGmapsMarkers.push({ldelim}"lat" : {$v->Parcelshop->GLSCoordinates->Latitude|escape:'javascript':'UTF-8'}, "lng" : {$v->Parcelshop->GLSCoordinates->Longitude|escape:'javascript':'UTF-8'}, "name" : "{$v->Parcelshop->Address->Name1|escape:'javascript'}", "id" : "{$labels.$k|escape:'javascript':'UTF-8'}", "infos" : "{$opening_hours|escape:'javascript' nofilter}"{rdelim});
								{/if}
							{/foreach}
						</script>
					{/if}
	            </div>
	            <div class="col-xs-12 col-lg-7 gls-relay-map"{if !$relay_points} style="display: none;"{/if}>
	                <div id="gls-map"></div>
	            </div>
	        </div>
		{/if}
	{/if}

	{if $error}
	    <div class="alert alert-danger" role="alert">
	        <span data-title="{if $error.code}{l s='Code: %s' mod='nkmgls' sprintf=[$error.code]}{/if}" class="alert-text">{$error.message|escape:'htmlall':'UTF-8'}</span>
	    </div>
	{/if}

	<script type="text/javascript">
		$(document).ready(function() {
			if($('.carrier-extra-content-gls > .gls-container').length == 0) {

				init_gls_carrier_extra_content();
				init_gls_carrier_extra_content_end();

			}
			carrier_extra_content = display_gls_carrier_extra_content();

			if(typeof carrier_extra_content !== 'undefined') {
				$(carrier_extra_content).find('.gls-customer-mobile').trigger('keyup');
			}
			check_gls_option();
		});
	</script>

</div>
{addJsDef country_iso=$country_iso}